Loading...
Searching...
No Matches
ladspa::PluginDisplay Class Reference

`#include <ladspalist.h>`

## Public Member Functions

| PluginDisplay (gx_engine::GxMachineBase &machine, Glib::RefPtr< Gdk::Pixbuf > icon, sigc::slot< void, bool, bool > finished_callback)
| ~PluginDisplay ()
bool | check_exit ()
void | present ()
void | hide ()

## Private Member Functions

void | set_title ()
void | on_save ()
void | on_apply ()
void | on_quit ()
void | on_select_all (bool v)
void | on_find ()
bool | on_delete_event (GdkEventAny *)
void | on_show_details ()
void | on_add_dry_wet_controller ()
void | on_stereo_to_mono_controller ()
void | on_stereo_to_mono ()
void | on_row_activated (const Gtk::TreePath &path, Gtk::TreeViewColumn *column)
void | on_label_edited (const Glib::ustring &path, const Glib::ustring &newtext)
void | on_parameter_selection_changed ()
void | on_reordered (const Gtk::TreePath &path)
void | on_type_edited (const Glib::ustring &path, const Glib::ustring &newtext)
void | on_step_edited (const Glib::ustring &path, const Glib::ustring &newtext)
void | on_newrow_toggled (const Glib::ustring &path)
void | on_caption_toggled (const Glib::ustring &path)
void | on_name_edited (const Glib::ustring &path, const Glib::ustring &newtext)
void | on_dflt_edited (const Glib::ustring &path, const Glib::ustring &newtext)
void | on_low_edited (const Glib::ustring &path, const Glib::ustring &newtext)
void | on_up_edited (const Glib::ustring &path, const Glib::ustring &newtext)
void | on_search_entry_activate ()
void | selection_changed ()
void | on_active_toggled (const Glib::ustring &path)
void | on_view_changed (const Gtk::ToggleButton *)
void | display_category (const Gtk::TreeIter &it)
void | display_quirks (const Gtk::TreeIter &it)
void | on_mono_stereo_changed ()
void | on_delete_changes ()
bool | search_equal (const Glib::RefPtr< Gtk::TreeModel > &model, int column, const Glib::ustring &key, const Gtk::TreeIter &iter)
void | display_label (Gtk::CellRenderer *cell, const Gtk::TreeIter &it)
void | display_step (Gtk::CellRenderer *cell, const Gtk::TreeIter &it)
void | display_ladspa (Gtk::CellRenderer *cell, const Gtk::TreeIter &it)
void | display_idx (Gtk::CellRenderer *cell, const Gtk::TreeIter &it)
void | display_name (Gtk::CellRenderer *cell, const Gtk::TreeIter &it)
void | display_default (Gtk::CellRenderer *cell, const Gtk::TreeIter &it)
void | display_lower (Gtk::CellRenderer *cell, const Gtk::TreeIter &it)
void | display_upper (Gtk::CellRenderer *cell, const Gtk::TreeIter &it)
void | display_SR (Gtk::CellRenderer *cell, const Gtk::TreeIter &it)
void | display_type (Gtk::CellRenderer *cell, const Gtk::TreeIter &it)
void | display_newrow (Gtk::CellRenderer *cell, const Gtk::TreeIter &it)
void | display_caption (Gtk::CellRenderer *cell, const Gtk::TreeIter &it)
bool | check_for_changes ()
int | ask_discard ()
void | save_current ()
void | load ()
bool | do_save ()
void | set_old_state (PluginDesc *p)
void | display_master_idx (const Gtk::TreeIter &it)
void | set_master_text ()
void | load_ladspalist (std::vector< unsigned long > &old_not_found, std::vector< PluginDesc * > &l)

## Private Attributes

gx_engine::GxMachineBase & | machine
LadspaPluginList | pluginlist
std::vector< PluginDesc * > | needs_reload
PluginDesc * | current_plugin
int | old_state
Glib::RefPtr< gx_gui::GxBuilder > | bld
int | change_count
Glib::RefPtr< Gio::SimpleActionGroup > | actiongroup
Glib::RefPtr< EnumListStore > | enum_liststore
Glib::RefPtr< PortListStore > | port_liststore
Glib::RefPtr< PluginListStore > | plugin_liststore
Glib::RefPtr< MasterIdxListStore > | masteridx_liststore
sigc::connection | on_reordered_conn
Glib::RefPtr< Gtk::ListStore > | display_type_list
Glib::RefPtr< Gtk::ListStore > | display_type_list_sr
Glib::RefPtr< Gtk::ListStore > | output_type_list
sigc::slot< void, bool, bool > | finished_callback
bool | reload_plug
Gtk::Window * | window
Gtk::TreeView * | treeview1
Gtk::TreeView * | treeview2
Gtk::TreeView * | treeview3
Gtk::Entry * | ladspa_category
Gtk::Entry * | ladspa_maker
Gtk::Entry * | ladspa_uniqueid
Gtk::Entry * | search_entry
Gtk::ComboBox * | combobox_mono_stereo
Gtk::ToggleButton * | selected_only
Gtk::ToggleButton * | changed_only
Gtk::ToggleButton * | ladspa_only
Gtk::ToggleButton * | lv2_only
Gtk::ToggleButton * | show_all
Gtk::Box * | details_box
Gtk::ToggleButton * | show_details
Gtk::Entry * | plugin_name
Gtk::ComboBox * | plugin_category
Gtk::ToggleButton * | dry_wet_button
Gtk::ToggleButton * | stereo_to_mono_button
Gtk::ComboBox * | plugin_quirks
Gtk::ComboBox * | master_slider_idx
Gtk::Entry * | master_slider_name
Gtk::CellRendererText * | cellrenderer_master
Gtk::CellRendererToggle * | cellrenderer_newrow
Gtk::CellRendererToggle * | cellrenderer_caption
Gtk::CellRendererToggle * | cellrenderer_active
Gtk::CellRendererText * | cellrenderer_category
Gtk::CellRendererText * | cellrenderer_quirks

## Detailed Description

Definition at line 85 of file ladspalist.h.

## Constructor & Destructor Documentation

## PluginDisplay()

ladspa::PluginDisplay::PluginDisplay | ( | gx_engine::GxMachineBase & | machine,
|  | Glib::RefPtr< Gdk::Pixbuf > | icon,
|  | sigc::slot< void, bool, bool > | finished_callback )

## ~PluginDisplay()

ladspa::PluginDisplay::~PluginDisplay | ( |  | ) |

## Member Function Documentation

## ask_discard()

int ladspa::PluginDisplay::ask_discard | ( |  | ) |

private

## check_exit()

bool ladspa::PluginDisplay::check_exit | ( |  | ) |

## check_for_changes()

bool ladspa::PluginDisplay::check_for_changes | ( |  | ) |

private

## display_caption()

void ladspa::PluginDisplay::display_caption | ( | Gtk::CellRenderer * | cell,
|  | const Gtk::TreeIter & | it )

private

## display_category()

void ladspa::PluginDisplay::display_category | ( | const Gtk::TreeIter & | it | ) |

private

## display_default()

void ladspa::PluginDisplay::display_default | ( | Gtk::CellRenderer * | cell,
|  | const Gtk::TreeIter & | it )

private

## display_idx()

void ladspa::PluginDisplay::display_idx | ( | Gtk::CellRenderer * | cell,
|  | const Gtk::TreeIter & | it )

private

## display_label()

void ladspa::PluginDisplay::display_label | ( | Gtk::CellRenderer * | cell,
|  | const Gtk::TreeIter & | it )

private

## display_ladspa()

void ladspa::PluginDisplay::display_ladspa | ( | Gtk::CellRenderer * | cell,
|  | const Gtk::TreeIter & | it )

private

## display_lower()

void ladspa::PluginDisplay::display_lower | ( | Gtk::CellRenderer * | cell,
|  | const Gtk::TreeIter & | it )

private

## display_master_idx()

void ladspa::PluginDisplay::display_master_idx | ( | const Gtk::TreeIter & | it | ) |

private

## display_name()

void ladspa::PluginDisplay::display_name | ( | Gtk::CellRenderer * | cell,
|  | const Gtk::TreeIter & | it )

private

## display_newrow()

void ladspa::PluginDisplay::display_newrow | ( | Gtk::CellRenderer * | cell,
|  | const Gtk::TreeIter & | it )

private

## display_quirks()

void ladspa::PluginDisplay::display_quirks | ( | const Gtk::TreeIter & | it | ) |

private

## display_SR()

void ladspa::PluginDisplay::display_SR | ( | Gtk::CellRenderer * | cell,
|  | const Gtk::TreeIter & | it )

private

## display_step()

void ladspa::PluginDisplay::display_step | ( | Gtk::CellRenderer * | cell,
|  | const Gtk::TreeIter & | it )

private

## display_type()

void ladspa::PluginDisplay::display_type | ( | Gtk::CellRenderer * | cell,
|  | const Gtk::TreeIter & | it )

private

## display_upper()

void ladspa::PluginDisplay::display_upper | ( | Gtk::CellRenderer * | cell,
|  | const Gtk::TreeIter & | it )

private

## do_save()

bool ladspa::PluginDisplay::do_save | ( |  | ) |

private

## hide()

void ladspa::PluginDisplay::hide | ( |  | ) |

inline

Definition at line 194 of file ladspalist.h.

## load()

void ladspa::PluginDisplay::load | ( |  | ) |

private

## load_ladspalist()

void ladspa::PluginDisplay::load_ladspalist | ( | std::vector< unsigned long > & | old_not_found,
|  | std::vector< PluginDesc * > & | l )

private

## on_active_toggled()

void ladspa::PluginDisplay::on_active_toggled | ( | const Glib::ustring & | path | ) |

private

## on_add_dry_wet_controller()

void ladspa::PluginDisplay::on_add_dry_wet_controller | ( |  | ) |

private

## on_apply()

void ladspa::PluginDisplay::on_apply | ( |  | ) |

private

## on_caption_toggled()

void ladspa::PluginDisplay::on_caption_toggled | ( | const Glib::ustring & | path | ) |

private

## on_delete_changes()

void ladspa::PluginDisplay::on_delete_changes | ( |  | ) |

private

## on_delete_event()

bool ladspa::PluginDisplay::on_delete_event | ( | GdkEventAny * |  | ) |

private

## on_dflt_edited()

void ladspa::PluginDisplay::on_dflt_edited | ( | const Glib::ustring & | path,
|  | const Glib::ustring & | newtext )

private

## on_find()

void ladspa::PluginDisplay::on_find | ( |  | ) |

private

## on_label_edited()

void ladspa::PluginDisplay::on_label_edited | ( | const Glib::ustring & | path,
|  | const Glib::ustring & | newtext )

private

## on_low_edited()

void ladspa::PluginDisplay::on_low_edited | ( | const Glib::ustring & | path,
|  | const Glib::ustring & | newtext )

private

## on_mono_stereo_changed()

void ladspa::PluginDisplay::on_mono_stereo_changed | ( |  | ) |

private

## on_name_edited()

void ladspa::PluginDisplay::on_name_edited | ( | const Glib::ustring & | path,
|  | const Glib::ustring & | newtext )

private

## on_newrow_toggled()

void ladspa::PluginDisplay::on_newrow_toggled | ( | const Glib::ustring & | path | ) |

private

## on_parameter_selection_changed()

void ladspa::PluginDisplay::on_parameter_selection_changed | ( |  | ) |

private

## on_quit()

void ladspa::PluginDisplay::on_quit | ( |  | ) |

private

## on_reordered()

void ladspa::PluginDisplay::on_reordered | ( | const Gtk::TreePath & | path | ) |

private

## on_row_activated()

void ladspa::PluginDisplay::on_row_activated | ( | const Gtk::TreePath & | path,
|  | Gtk::TreeViewColumn * | column )

private

## on_save()

void ladspa::PluginDisplay::on_save | ( |  | ) |

private

## on_search_entry_activate()

void ladspa::PluginDisplay::on_search_entry_activate | ( |  | ) |

private

## on_select_all()

void ladspa::PluginDisplay::on_select_all | ( | bool | v | ) |

private

## on_show_details()

void ladspa::PluginDisplay::on_show_details | ( |  | ) |

private

## on_step_edited()

void ladspa::PluginDisplay::on_step_edited | ( | const Glib::ustring & | path,
|  | const Glib::ustring & | newtext )

private

## on_stereo_to_mono()

void ladspa::PluginDisplay::on_stereo_to_mono | ( |  | ) |

private

## on_stereo_to_mono_controller()

void ladspa::PluginDisplay::on_stereo_to_mono_controller | ( |  | ) |

private

## on_type_edited()

void ladspa::PluginDisplay::on_type_edited | ( | const Glib::ustring & | path,
|  | const Glib::ustring & | newtext )

private

## on_up_edited()

void ladspa::PluginDisplay::on_up_edited | ( | const Glib::ustring & | path,
|  | const Glib::ustring & | newtext )

private

## on_view_changed()

void ladspa::PluginDisplay::on_view_changed | ( | const Gtk::ToggleButton * |  | ) |

private

## present()

void ladspa::PluginDisplay::present | ( |  | ) |

inline

Definition at line 193 of file ladspalist.h.

## save_current()

void ladspa::PluginDisplay::save_current | ( |  | ) |

private

## search_equal()

bool ladspa::PluginDisplay::search_equal | ( | const Glib::RefPtr< Gtk::TreeModel > & | model,
|  | int | column,
|  | const Glib::ustring & | key,
|  | const Gtk::TreeIter & | iter )

private

## selection_changed()

void ladspa::PluginDisplay::selection_changed | ( |  | ) |

private

## set_master_text()

void ladspa::PluginDisplay::set_master_text | ( |  | ) |

private

## set_old_state()

void ladspa::PluginDisplay::set_old_state | ( | PluginDesc * | p | ) |

private

## set_title()

void ladspa::PluginDisplay::set_title | ( |  | ) |

private

## Member Data Documentation

## actiongroup

Glib::RefPtr<Gio::SimpleActionGroup> ladspa::PluginDisplay::actiongroup

private

Definition at line 94 of file ladspalist.h.

## bld

Glib::RefPtr<gx_gui::GxBuilder> ladspa::PluginDisplay::bld

private

Definition at line 92 of file ladspalist.h.

## cellrenderer_active

Gtk::CellRendererToggle* ladspa::PluginDisplay::cellrenderer_active

private

Definition at line 132 of file ladspalist.h.

## cellrenderer_caption

Gtk::CellRendererToggle* ladspa::PluginDisplay::cellrenderer_caption

private

Definition at line 131 of file ladspalist.h.

## cellrenderer_category

Gtk::CellRendererText* ladspa::PluginDisplay::cellrenderer_category

private

Definition at line 133 of file ladspalist.h.

## cellrenderer_master

Gtk::CellRendererText* ladspa::PluginDisplay::cellrenderer_master

private

Definition at line 129 of file ladspalist.h.

## cellrenderer_newrow

Gtk::CellRendererToggle* ladspa::PluginDisplay::cellrenderer_newrow

private

Definition at line 130 of file ladspalist.h.

## cellrenderer_quirks

Gtk::CellRendererText* ladspa::PluginDisplay::cellrenderer_quirks

private

Definition at line 134 of file ladspalist.h.

## change_count

int ladspa::PluginDisplay::change_count

private

Definition at line 93 of file ladspalist.h.

## changed_only

Gtk::ToggleButton* ladspa::PluginDisplay::changed_only

private

Definition at line 116 of file ladspalist.h.

## combobox_mono_stereo

Gtk::ComboBox* ladspa::PluginDisplay::combobox_mono_stereo

private

Definition at line 114 of file ladspalist.h.

## current_plugin

PluginDesc* ladspa::PluginDisplay::current_plugin

private

Definition at line 90 of file ladspalist.h.

## details_box

Gtk::Box* ladspa::PluginDisplay::details_box

private

Definition at line 120 of file ladspalist.h.

## display_type_list

Glib::RefPtr<Gtk::ListStore> ladspa::PluginDisplay::display_type_list

private

Definition at line 100 of file ladspalist.h.

## display_type_list_sr

Glib::RefPtr<Gtk::ListStore> ladspa::PluginDisplay::display_type_list_sr

private

Definition at line 101 of file ladspalist.h.

## dry_wet_button

Gtk::ToggleButton* ladspa::PluginDisplay::dry_wet_button

private

Definition at line 124 of file ladspalist.h.

## enum_liststore

Glib::RefPtr<EnumListStore> ladspa::PluginDisplay::enum_liststore

private

Definition at line 95 of file ladspalist.h.

## finished_callback

sigc::slot<void,bool,bool> ladspa::PluginDisplay::finished_callback

private

Definition at line 103 of file ladspalist.h.

Referenced by PluginDisplay().

## ladspa_category

Gtk::Entry* ladspa::PluginDisplay::ladspa_category

private

Definition at line 110 of file ladspalist.h.

## ladspa_maker

Gtk::Entry* ladspa::PluginDisplay::ladspa_maker

private

Definition at line 111 of file ladspalist.h.

## ladspa_only

Gtk::ToggleButton* ladspa::PluginDisplay::ladspa_only

private

Definition at line 117 of file ladspalist.h.

## ladspa_uniqueid

Gtk::Entry* ladspa::PluginDisplay::ladspa_uniqueid

private

Definition at line 112 of file ladspalist.h.

## lv2_only

Gtk::ToggleButton* ladspa::PluginDisplay::lv2_only

private

Definition at line 118 of file ladspalist.h.

## machine

gx_engine::GxMachineBase& ladspa::PluginDisplay::machine

private

Definition at line 87 of file ladspalist.h.

Referenced by PluginDisplay().

## master_slider_idx

Gtk::ComboBox* ladspa::PluginDisplay::master_slider_idx

private

Definition at line 127 of file ladspalist.h.

## master_slider_name

Gtk::Entry* ladspa::PluginDisplay::master_slider_name

private

Definition at line 128 of file ladspalist.h.

## masteridx_liststore

Glib::RefPtr<MasterIdxListStore> ladspa::PluginDisplay::masteridx_liststore

private

Definition at line 98 of file ladspalist.h.

## needs_reload

std::vector<PluginDesc*> ladspa::PluginDisplay::needs_reload

private

Definition at line 89 of file ladspalist.h.

## old_state

int ladspa::PluginDisplay::old_state

private

Definition at line 91 of file ladspalist.h.

## on_reordered_conn

sigc::connection ladspa::PluginDisplay::on_reordered_conn

private

Definition at line 99 of file ladspalist.h.

## output_type_list

Glib::RefPtr<Gtk::ListStore> ladspa::PluginDisplay::output_type_list

private

Definition at line 102 of file ladspalist.h.

## plugin_category

Gtk::ComboBox* ladspa::PluginDisplay::plugin_category

private

Definition at line 123 of file ladspalist.h.

## plugin_liststore

Glib::RefPtr<PluginListStore> ladspa::PluginDisplay::plugin_liststore

private

Definition at line 97 of file ladspalist.h.

## plugin_name

Gtk::Entry* ladspa::PluginDisplay::plugin_name

private

Definition at line 122 of file ladspalist.h.

## plugin_quirks

Gtk::ComboBox* ladspa::PluginDisplay::plugin_quirks

private

Definition at line 126 of file ladspalist.h.

## pluginlist

LadspaPluginList ladspa::PluginDisplay::pluginlist

private

Definition at line 88 of file ladspalist.h.

## port_liststore

Glib::RefPtr<PortListStore> ladspa::PluginDisplay::port_liststore

private

Definition at line 96 of file ladspalist.h.

## reload_plug

bool ladspa::PluginDisplay::reload_plug

private

Definition at line 104 of file ladspalist.h.

## search_entry

Gtk::Entry* ladspa::PluginDisplay::search_entry

private

Definition at line 113 of file ladspalist.h.

## selected_only

Gtk::ToggleButton* ladspa::PluginDisplay::selected_only

private

Definition at line 115 of file ladspalist.h.

## show_all

Gtk::ToggleButton* ladspa::PluginDisplay::show_all

private

Definition at line 119 of file ladspalist.h.

## show_details

Gtk::ToggleButton* ladspa::PluginDisplay::show_details

private

Definition at line 121 of file ladspalist.h.

## stereo_to_mono_button

Gtk::ToggleButton* ladspa::PluginDisplay::stereo_to_mono_button

private

Definition at line 125 of file ladspalist.h.

## treeview1

Gtk::TreeView* ladspa::PluginDisplay::treeview1

private

Definition at line 107 of file ladspalist.h.

## treeview2

Gtk::TreeView* ladspa::PluginDisplay::treeview2

private

Definition at line 108 of file ladspalist.h.

## treeview3

Gtk::TreeView* ladspa::PluginDisplay::treeview3

private

Definition at line 109 of file ladspalist.h.

## window

Gtk::Window* ladspa::PluginDisplay::window

private

Definition at line 106 of file ladspalist.h.

Referenced by hide(), and present().

The documentation for this class was generated from the following file:

- src/headers/ladspalist.h